Summary: Xrootd Linux Repository release file
Name: xrootd-release
Version: 7.0
Release: 1%{?dist}
Epoch: 666
License: GPLv2
Group: System Environment/Base
URL: http://xrootd.cern.ch

Source0: xrootd.repo
Source1: RPM-GPG-KEY-xrootd.cern.ch

BuildArch: noarch

# To prevent users installing on the wrong dist
Requires: glibc = 2.17

%description
This package contains yum configuration for the Xrootd Linux Repository, as well as the public GPG keys used to sign packages.

%prep
%setup -c -T
%{__cp} -a %{SOURCE1} .

%install
%{__rm} -rf %{buildroot}
%{__install} -Dpm 0644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/xrootd.repo
%{__install} -Dpm 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-xrootd.cern.ch

%build

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%pubkey RPM-GPG-KEY-xrootd.cern.ch
%dir %{_sysconfdir}/yum.repos.d/
%config(noreplace) %{_sysconfdir}/yum.repos.d/xrootd.repo
%dir %{_sysconfdir}/pki/rpm-gpg/
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-xrootd.cern.ch

%changelog
* Tue Dec 20 2016 Thomas Oulevey <thomas.oulevey@cern.ch> - 7.0-1
- initial release
